org.jboss.jca.adapters.jdbc.jdk8

## Class WrappedConnectionFactoryJDK8

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.jdk8.WrappedConnectionFactoryJDK8

- All Implemented Interfaces:
    WrappedConnectionFactory

      public class WrappedConnectionFactoryJDK8
      extends java.lang.Object
      implements WrappedConnectionFactory

  WrappedConnectionFactoryJDK8
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedConnectionFactoryJDK8()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachedCallableStatement` | `createCachedCallableStatement(java.sql.CallableStatement cs)` Create a cached callable statement
    `CachedPreparedStatement` | `createCachedPreparedStatement(java.sql.PreparedStatement ps)` Create a cached prepared statement
    `WrappedConnection` | `createWrappedConnection(BaseWrapperManagedConnection mc, boolean spy, java.lang.String jndiName, boolean doLocking, ClassLoaderPlugin clp)` Wrap connection

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedConnectionFactoryJDK8

          public WrappedConnectionFactoryJDK8()

      Constructor

  - ### Method Detail

    - #### createWrappedConnection

          public WrappedConnection createWrappedConnection(BaseWrapperManagedConnection mc,
                                                           boolean spy,
                                                           java.lang.String jndiName,
                                                           boolean doLocking,
                                                           ClassLoaderPlugin clp)

      Wrap connection
      Specified by:
        `createWrappedConnection` in interface `WrappedConnectionFactory`
      Parameters:
        `mc` - The managed connection
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
      Returns:
        The result

    - #### createCachedPreparedStatement

          public CachedPreparedStatement createCachedPreparedStatement(java.sql.PreparedStatement ps)
                                                                throws java.sql.SQLException

      Create a cached prepared statement
      Specified by:
        `createCachedPreparedStatement` in interface `WrappedConnectionFactory`
      Parameters:
        `ps` - The prepared statement
      Returns:
        The cached prepared statement
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### createCachedCallableStatement

          public CachedCallableStatement createCachedCallableStatement(java.sql.CallableStatement cs)
                                                                throws java.sql.SQLException

      Create a cached callable statement
      Specified by:
        `createCachedCallableStatement` in interface `WrappedConnectionFactory`
      Parameters:
        `cs` - The callable statement
      Returns:
        The cached callable statement
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)